unit Menu;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls, ZReport, quickrpt;

type
  TMainForm = class(TForm)
    GroupBox1: TGroupBox;
    SimpleList: TRadioButton;
    GroupedList: TRadioButton;
    MasterDetail: TRadioButton;
    SQLMasterDetail: TRadioButton;
    Description: TMemo;
    Preview: TButton;
    Print: TButton;
    Exit: TButton;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Image2: TImage;
    Composite: TRadioButton;
    CompositeReport: TQuickRep;
    QRCompositeReport1: TQRCompositeReport;
    ZReportComposite: TZReport;
    ZComposite: TZCompositeReport;
    procedure PreviewClick(Sender: TObject);
    procedure PrintClick(Sender: TObject);
    procedure ExitClick(Sender: TObject);
    procedure QRCompositeReport1AddReports(Sender: TObject);
    procedure ZCompositeAddReports(Sender: TObject);
  private
  public
    function Report: TZReport;
  end;

var
  MainForm: TMainForm;

implementation

uses Grplist, Md, Manygrp, List;

{$R *.DFM}

function TMainForm.Report: TZReport;
begin
  if SimpleList     .Checked then Result:= ListForm   .ZReport else
  if GroupedList    .Checked then Result:= GrpListForm.ZReport else
  if MasterDetail   .Checked then Result:= MDForm     .ZReport else
  if SQLMasterDetail.Checked then Result:= ManyGrpForm.ZReport else
  Result := ZReportComposite;
end;

procedure TMainForm.PreviewClick(Sender: TObject);
begin
  if Report = ZReportComposite then
    ZComposite.Preview
  else
    Report.Preview;
end;

procedure TMainForm.PrintClick(Sender: TObject);
begin
  if Report = ZReportComposite then
    ZComposite.Print
  else
    Report.Print;
end;

procedure TMainForm.ExitClick(Sender: TObject);
begin
  Close;
end;

procedure TMainForm.QRCompositeReport1AddReports(Sender: TObject);
begin
  with QRCompositeReport1 do
    begin
      Reports.Add(ListForm.ZReport);
      Reports.Add(GrpListForm.ZReport);
      Reports.Add(MDForm.ZReport);
      Reports.Add(ManyGrpForm.ZReport);
    end;
end;

procedure TMainForm.ZCompositeAddReports(Sender: TObject);
begin
  with ZComposite do
    begin
      Reports.Add(ListForm.ZReport);
      Reports.Add(GrpListForm.ZReport);
      Reports.Add(MDForm.ZReport);
      Reports.Add(ManyGrpForm.ZReport);
    end;
end;

end.

